Subject: bug#7786: 23.2; Encoding of PostScript files

From: Peter Dyballa <[email-masked]>
Date: Wed, 20 Oct 2021 18:34:05 +0200

> Am 20.10.2021 um 07:45 schrieb Lars Ingebrigtsen <[email-masked]>:
> 
>> Can't there be a default binding of ISOLatin1Encoding to files with
>> extension .ps or that are otherwise found or set to be PostScript
>> files?
> 
> None of the .ps files we've found have been in ISOLatin1Encoding, so I'm
> not sure I understand what you mean?

Isn't this the default encoding of a PostScript (text) file using standard encoded fonts?

The situation can be different once you re-encode the font, then the PS file's text encoding has to follow. If the font is re-encoded in ISO Latin-1 then the PS code has to use it too. Same for every other 8-bit font re-encoding (I have no idea how it works with CJK). The characters that are allowed to be used as PostScript code are taken from US-ASCII. So the code is independent from the text encoding. Care has to be taken when texts in an 8-bit encoding should be output, or printed, usually enclosed in parentheses. The text encoding has to match the font encoding, or the font encoding (of the user-defined font) has to be prepared for the text encoding to be used below.

--
Greetings

  Pete

The box said "Use Windows 95 or better," so I got a Macintosh.